| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Num.NeuralTrainingLimitsDto Class Reference

Transfer Object (DTO) for neural network training limits. More...

Inheritance diagram for IG.Num.NeuralTrainingLimitsDto:
[legend]
Collaboration diagram for IG.Num.NeuralTrainingLimitsDto:
[legend]

## Public Member Functions
override NeuralTrainingLimits | CreateObject ()
| Creates and returns a new object of the corresponding type. More...

## Public Attributes
double | LearningRateMin
| Minimum limit for learning rate. More...
double | LearningRateMax
| Maximum limit for learning rate. More...
int | LearningRateNum
| Number of learning rates. More...
double | MomentumMin
| Minimum limit for momentum. More...
double | MomentumMax
| Maximum limit for momentum. More...
int | MomentumNum
| Number of momentums. More...
double | AlphaMin
| Minimum limit for alpha value. More...
double | AlphaMax
| Maximum limit for alpha value. More...
int | AlphaNum
| Number of alpha values. More...
double | InputSafetyFactorMin
| Minimum limit for input safety factor value. More...
double | InputSafetyFactorMax
| Maximum limit for input safety factor value. More...
int | InputSafetyFactorNum
| Number of input safety factor values. More...
double | OutputSafetyFactorMin
| Minimum limit for output safety factor value. More...
double | OutputSafetyFactorMax
| Maximum limit for output safety factor value. More...
int | OutputSafetyFactorNum
| Number of output safety factor values. More...
int | MaxEpochs
| Maximum number of epochs performed in training. More...
int | EpochBundle
| Number of epochs in boundle. More...
bool | EnableRangeTolerance
| Flag for enabling toelrance that represent a percentage of the output range. More...
VectorDtoBase | ToleranceRms
| Tolerance over RMS error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account. More...
VectorDtoBase | ToleranceRmsRelativeToRange
| Relative tolerances on RMS errors of outputs over training points, relative to the correspoinding ranges of output data. More...
double | ToleranceRmsRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceRmsRelativeToRangeScalar
| Scalar through which all components of the Relative tolerances on RMS errors of outputs can be set to the same value. More...
VectorDtoBase | ToleranceMax
| Tolerance on maximal error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account. More...
VectorDtoBase | ToleranceMaxRelativeToRange
| Relative tolerances on max. abs. errors of outputs over training points, relative to the correspoinding ranges of output data. More...
double | ToleranceMaxRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceMaxRelativeToRangeScalar
| Scalar through which all components of the Relative tolerances on max. abs. errors of outputs can be set to the same value. More...
int | InputLenght
| Number of input neurons. More...
int | OutputLength
| Number of output neurons. More...
bool | EnableArchitectureTest
| Flag for enabling test in architecture of ANN. More...
int | NumHiddenLayersNum
| Number of hidden layers in neural network. More...
int | NumHiddenNeuronsFirstMin
| Minimum number of hidden neurons in first hidden layer. More...
int | NumHiddenNeuronsFirstMax
| Maximum number of hidden neurons in first hidden layer. More...
int | NumHiddenNeuronsFirstNum
| Number of numbers of hidden neurons in first hidden layer. More...
int[] | NumHiddenNeuronsFirstValues
| Values for number of hidden neurons in the first hidden layer. More...
int | NumHiddenNeuronsSecondMin
| Minimum number of hidden neurons in second hidden layer. More...
int | NumHiddenNeuronsSecondMax
| Maximum number of hidden neurons in second hidden layer. More...
int | NumHiddenNeuronsSecondNum
| Number of numbers of hidden neurons in second hidden layer. More...
int[] | NumHiddenNeuronsSecondValues
| Values for number of hidden neurons in the second hidden layer. More...
int | NumHiddenNeuronsThirdMin
| Minimum number of hidden neurons in third hidden layer. More...
int | NumHiddenNeuronsThirdMax
| Maximum number of hidden neurons in third hidden layer. More...
int | NumHiddenNeuronsThirdNum
| Number of numbers of hidden neurons in third hidden layer. More...
int[] | NumHiddenNeuronsThirdValues
| Values for number of hidden neurons in the third hidden layer. More...

## Protected Member Functions
override void | CopyFromPlain (NeuralTrainingLimits trainingLimits)
| Copies the specified training limits to the current DTO. More...
override void | CopyToPlain (ref NeuralTrainingLimits trainingLimits)
| Copies contents of the current DTO to the specified training limits object. More...
Protected Member Functions inherited from IG.Lib.SerializationDto< NeuralTrainingLimits >
| SerializationDto ()

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto< NeuralTrainingLimits >
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyObjectFromObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Detailed Description

Transfer Object (DTO) for neural network training limits.

$A Igor Jul10 Aug12; Tako78 Aug12;

## Member Function Documentation

override NeuralTrainingLimits IG.Num.NeuralTrainingLimitsDto.CreateObject | ( |  | ) |
| inline

Creates and returns a new object of the corresponding type.

override void IG.Num.NeuralTrainingLimitsDto.CopyFromPlain | ( | NeuralTrainingLimits | trainingLimits | ) |
| inline protected

Copies the specified training limits to the current DTO.

Parameters

  trainingLimits | Object that is copied to the current DTO.

References IG.Num.NeuralTrainingLimits.AlphaMax, IG.Num.NeuralTrainingLimits.AlphaMin, IG.Num.NeuralTrainingLimits.AlphaNum, IG.Num.NeuralTrainingLimits.EnableArchitectureTest, IG.Num.NeuralTrainingLimits.EnableRangeTolerance, IG.Num.NeuralTrainingLimits.EpochBundle, IG.Num.NeuralTrainingLimits.InputLenght, IG.Num.NeuralTrainingLimits.InputSafetyFactorMax, IG.Num.NeuralTrainingLimits.InputSafetyFactorMin, IG.Num.NeuralTrainingLimits.InputSafetyFactorNum, IG.Num.NeuralTrainingLimits.LearningRateMax, IG.Num.NeuralTrainingLimits.LearningRateMin, IG.Num.NeuralTrainingLimits.LearningRateNum, IG.Num.NeuralTrainingLimits.MaxEpochs, IG.Num.NeuralTrainingLimits.MomentumMax, IG.Num.NeuralTrainingLimits.MomentumMin, IG.Num.NeuralTrainingLimits.MomentumNum, IG.Num.NeuralTrainingLimits.NumHiddenLayersNum, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsFirstMax, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsFirstMin, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsFirstNum, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsFirstValues, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsSecondMax, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsSecondMin, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsSecondNum, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsSecondValues, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsThirdMax, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsThirdMin, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsThirdNum, IG.Num.NeuralTrainingLimits.NumHiddenNeuronsThirdValues, IG.Num.NeuralTrainingLimits.OutputLength, IG.Num.NeuralTrainingLimits.OutputSafetyFactorMax, IG.Num.NeuralTrainingLimits.OutputSafetyFactorMin, IG.Num.NeuralTrainingLimits.OutputSafetyFactorNum, IG.Num.NeuralTrainingLimits.ToleranceMax, IG.Num.NeuralTrainingLimits.ToleranceMaxRelativeToRange, IG.Num.NeuralTrainingLimits.ToleranceMaxRelativeToRangeScalar, IG.Num.NeuralTrainingLimits.ToleranceRms, IG.Num.NeuralTrainingLimits.ToleranceRmsRelativeToRange, and IG.Num.NeuralTrainingLimits.ToleranceRmsRelativeToRangeScalar.

override void IG.Num.NeuralTrainingLimitsDto.CopyToPlain | ( | ref NeuralTrainingLimits | trainingLimits | ) |
| inline protected

Copies contents of the current DTO to the specified training limits object.

Parameters

  trainingLimits | Object that the current DTO content is copied to.

## Member Data Documentation

double IG.Num.NeuralTrainingLimitsDto.LearningRateMin

Minimum limit for learning rate.

double IG.Num.NeuralTrainingLimitsDto.LearningRateMax

Maximum limit for learning rate.

int IG.Num.NeuralTrainingLimitsDto.LearningRateNum

Number of learning rates.

double IG.Num.NeuralTrainingLimitsDto.MomentumMin

Minimum limit for momentum.

double IG.Num.NeuralTrainingLimitsDto.MomentumMax

Maximum limit for momentum.

int IG.Num.NeuralTrainingLimitsDto.MomentumNum

Number of momentums.

double IG.Num.NeuralTrainingLimitsDto.AlphaMin

Minimum limit for alpha value.

double IG.Num.NeuralTrainingLimitsDto.AlphaMax

Maximum limit for alpha value.

int IG.Num.NeuralTrainingLimitsDto.AlphaNum

Number of alpha values.

double IG.Num.NeuralTrainingLimitsDto.InputSafetyFactorMin

Minimum limit for input safety factor value.

double IG.Num.NeuralTrainingLimitsDto.InputSafetyFactorMax

Maximum limit for input safety factor value.

int IG.Num.NeuralTrainingLimitsDto.InputSafetyFactorNum

Number of input safety factor values.

double IG.Num.NeuralTrainingLimitsDto.OutputSafetyFactorMin

Minimum limit for output safety factor value.

double IG.Num.NeuralTrainingLimitsDto.OutputSafetyFactorMax

Maximum limit for output safety factor value.

int IG.Num.NeuralTrainingLimitsDto.OutputSafetyFactorNum

Number of output safety factor values.

int IG.Num.NeuralTrainingLimitsDto.MaxEpochs

Maximum number of epochs performed in training.

int IG.Num.NeuralTrainingLimitsDto.EpochBundle

Number of epochs in boundle.

bool IG.Num.NeuralTrainingLimitsDto.EnableRangeTolerance

Flag for enabling toelrance that represent a percentage of the output range.

VectorDtoBase IG.Num.NeuralTrainingLimitsDto.ToleranceRms

Tolerance over RMS error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account.

$A Tako78 Jul12;; Igor Jul12;

VectorDtoBase IG.Num.NeuralTrainingLimitsDto.ToleranceRmsRelativeToRange

Relative tolerances on RMS errors of outputs over training points, relative to the correspoinding ranges of output data.

See also
  NeuralApproximatorBase.ToleranceRmsRelativeToRange

double IG.Num.NeuralTrainingLimitsDto.ToleranceRmsRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceRmsRelativeToRangeScalar

Scalar through which all components of the Relative tolerances on RMS errors of outputs can be set to the same value.

See also
  NeuralApproximatorBase.ToleranceRmsRelativeToRangeScalar

VectorDtoBase IG.Num.NeuralTrainingLimitsDto.ToleranceMax

Tolerance on maximal error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account.

$A Tako78 Jul12;

VectorDtoBase IG.Num.NeuralTrainingLimitsDto.ToleranceMaxRelativeToRange

Relative tolerances on max. abs. errors of outputs over training points, relative to the correspoinding ranges of output data.

See also
  NeuralApproximatorBase.ToleranceMaxRelativeToRange

double IG.Num.NeuralTrainingLimitsDto.ToleranceMaxRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceMaxRelativeToRangeScalar

Scalar through which all components of the Relative tolerances on max. abs. errors of outputs can be set to the same value.

See also
  NeuralApproximatorBase.ToleranceMaxRelativeToRangeScalar

int IG.Num.NeuralTrainingLimitsDto.InputLenght

Number of input neurons.

int IG.Num.NeuralTrainingLimitsDto.OutputLength

Number of output neurons.

bool IG.Num.NeuralTrainingLimitsDto.EnableArchitectureTest

Flag for enabling test in architecture of ANN.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenLayersNum

Number of hidden layers in neural network.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsFirstMin

Minimum number of hidden neurons in first hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsFirstMax

Maximum number of hidden neurons in first hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsFirstNum

Number of numbers of hidden neurons in first hidden layer.

int [] IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsFirstValues

Values for number of hidden neurons in the first hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsSecondMin

Minimum number of hidden neurons in second hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsSecondMax

Maximum number of hidden neurons in second hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsSecondNum

Number of numbers of hidden neurons in second hidden layer.

int [] IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsSecondValues

Values for number of hidden neurons in the second hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsThirdMin

Minimum number of hidden neurons in third hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsThirdMax

Maximum number of hidden neurons in third hidden layer.

int IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsThirdNum

Number of numbers of hidden neurons in third hidden layer.

int [] IG.Num.NeuralTrainingLimitsDto.NumHiddenNeuronsThirdValues

Values for number of hidden neurons in the third hidden layer.

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/SerializationDtoNeural.cs